be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDBVTCONSERVATIONDELAYvalues

- java.lang.Object
- - java.lang.Enum<CDBVTCONSERVATIONDELAYvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDBVTCONSERVATIONDELAYvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDBVTCONSERVATIONDELAYvalues>

      public enum CDBVTCONSERVATIONDELAYvalues
      extends Enum<CDBVTCONSERVATIONDELAYvalues>

  Java class for CD-BVT-CONSERVATIONDELAYvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-BVT-CONSERVATIONDELAYvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="lessthan30min"/>
           <enumeration value="morethan30min"/>
           <enumeration value="unknown"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LESSTHAN_30_MIN`
    `MORETHAN_30_MIN`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDBVTCONSERVATIONDELAYvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDBVTCONSERVATIONDELAYvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDBVTCONSERVATIONDELAYvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LESSTHAN_30_MIN

          public static final CDBVTCONSERVATIONDELAYvalues LESSTHAN_30_MIN

    - #### MORETHAN_30_MIN

          public static final CDBVTCONSERVATIONDELAYvalues MORETHAN_30_MIN

    - #### UNKNOWN

          public static final CDBVTCONSERVATIONDELAYvalues UNKNOWN

  - ### Method Detail

    - #### values

          public static CDBVTCONSERVATIONDELAYvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDBVTCONSERVATIONDELAYvalues c : CDBVTCONSERVATIONDELAYvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDBVTCONSERVATIONDELAYvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDBVTCONSERVATIONDELAYvalues fromValue(String v)

Connector Packaging TRUSSMAKER 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.